{ pkgs, ... }: {
  imports = [
    ./starship.nix
    ./hyprland.nix
  ];


  # Custom dconf settings
  dconf.settings."org/gnome/desktop/input-sources" = {
    # xkb-options = [ "caps:swapescape" ];
  };

  programs.zsh.envExtra = ''
    source ~/.zshrc.secrets
  '';

  home.packages = with pkgs; [
    libreoffice-fresh
    jetbrains.rust-rover
    jetbrains.clion
    # jetbrains.idea-ultimate
    eduvpn-client
    localsend
    typst
    zed-editor
  ];


  programs.ssh.enable = true;
  programs.ssh.matchBlocks = {
    "student-linux.tudelft.nl" = {
      user = "vroest";
    };
    "login.delftblue.tudelft.nl" = {
      user = "vroest";
    };
    "cese01" = {
      hostname = "cese01.ewi.tudelft.nl";
      user = "vroest";
      proxyJump = "student-linux.tudelft.nl";
    };
    "cese" = {
      user = "root";
      hostname = "10.0.3.121";
      proxyJump = "cese01";
    };
    "bastion.olympus" = { };
    "bastion.hades" = { };
  };

}
